> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dependent Agents List

> Get a list of agents depending on this tool.



## OpenAPI

````yaml https://api.threetone.in/openapi.json get /v1/voiceai/tools/{tool_id}/dependent-agents
openapi: 3.1.0
info:
  title: Threetone API Documentation
  version: 1.0.0
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voiceai/tools/{tool_id}/dependent-agents:
    get:
      tags:
        - Tools
      summary: Get Dependent Agents List
      description: Get a list of agents depending on this tool.
      operationId: get_tool_dependent_agents_route
      parameters:
        - name: tool_id
          in: path
          required: true
          schema:
            type: string
            description: ID of the requested tool.
            title: Tool Id
          description: ID of the requested tool.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: >-
              How many documents to return at maximum. Can not exceed 100,
              defaults to 30.
            default: 30
            title: Page Size
          description: >-
            How many documents to return at maximum. Can not exceed 100,
            defaults to 30.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetToolDependentAgentsResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    GetToolDependentAgentsResponseModel:
      properties:
        agents:
          items: {}
          type: array
          title: Agents
          description: List of dependent agents
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for fetching next page
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more results
      type: object
      required:
        - agents
        - has_more
      title: GetToolDependentAgentsResponseModel
      description: Response model for listing agents that depend on a tool
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for programmatic access
      in: header
      name: x-api-key
    HTTPBearer:
      type: http
      description: JWT Bearer token for dashboard access
      scheme: bearer

````